﻿using System.Text;

namespace EliteBGS.BGS {
    /// <summary>
    /// This class is used when a completed mission gives influence to another
    /// faction as well. This happens, for example, when you deliver cargo from one
    /// faction to another. Both sometimes gain influence.
    /// </summary>
    public class InfluenceSupport : LogEntry {
        public string Influence { get; set; }
        public MissionCompleted RelevantMission { get; set; }

        public override string ToString() {
            StringBuilder builder = new StringBuilder();

            builder.AppendFormat("Influence gained from \"{0}\": \"{1}\"",
                RelevantMission.MissionName,
                string.IsNullOrEmpty(Influence) ? "NONE" : Influence
                );

            return builder.ToString();
        }
    }
}
